
TYPO3.Flow - Bug # 25906

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Object
Created: 2011-04-12 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Injection with settings use breaks
Description

If configuring injection in Objects.yaml and making use of settings for a factory there the generated proxy is broken, because it
assumes $this->settings exists.

It should use the static object container to fetch settings instead.

Related issues:
blocks TYPO3.Flow - Feature # 25882: Dedicated query log Resolved 2011-04-11

Associated revisions
Revision 888b03da - 2011-05-03 17:13 - Karsten Dambekalns

[BUGFIX] Injection with factory settings is usable again

If configuring injection in Objects.yaml and making use of settings for
a factory there, the generated proxy is broken, because it assumes
$this->settings exists.

Instead we use the static object container to fetch settings now.

Fixes: #25906
Change-Id: I15f86cc651935dbe756f5b02a155b5ff14c5e668

Revision 4fc6b9e4 - 2011-05-05 11:47 - Christopher Hlubek

[BUGFIX] Fix constructor setting injection for singletons

Change I15f86cc651935dbe756f5b02a155b5ff14c5e668 missed one spot for
setting injection in the ProxyClassBuilder.

This change also adds some additional functional tests for setting
injection.

Change-Id: Ie6310c9b1a01c879408c512c6808e8b9485cf744
Resolves: #25906

History
#1 - 2011-04-27 15:22 - Mr. Hudson
Patch set 1 of change I15f86cc651935dbe756f5b02a155b5ff14c5e668 has been pushed to the review server.
It is available at http://review.typo3.org/1767

#2 - 2011-04-27 15:23 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-05-02 20:49 - Mr. Hudson

Patch set 2 of change I15f86cc651935dbe756f5b02a155b5ff14c5e668 has been pushed to the review server.
It is available at http://review.typo3.org/1767

#4 - 2011-05-03 14:47 - Mr. Hudson

Patch set 3 of change I15f86cc651935dbe756f5b02a155b5ff14c5e668 has been pushed to the review server.
It is available at http://review.typo3.org/1767

#5 - 2011-05-03 17:14 - Mr. Hudson

Patch set 4 of change I15f86cc651935dbe756f5b02a155b5ff14c5e668 has been pushed to the review server.
It is available at http://review.typo3.org/1767

#6 - 2011-05-03 17:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:888b03da80bfbd437909496a9b243fce6a902506.

#7 - 2011-05-05 11:49 - Christopher Hlubek
- Status changed from Resolved to Under Review
- % Done changed from 100 to 80

I have to reopen this issue since constructor injection of settings wasn't fixed. I pushed a new change with additional functional tests.

#8 - 2011-05-05 11:50 - Mr. Hudson

Patch set 1 of change Ie6310c9b1a01c879408c512c6808e8b9485cf744 has been pushed to the review server.
It is available at http://review.typo3.org/1933

#9 - 2011-05-05 17:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:4fc6b9e401f07939a2cf00da5e2021a3b564acb6.
